Debian Bug report logs - #607662
ncurses-base: backspace key deletes forwards on the kFreeBSD console

version graph

Package: ncurses-base; Maintainer for ncurses-base is Craig Small <csmall@debian.org>; Source for ncurses-base is src:ncurses.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Mon, 20 Dec 2010 21:09:02 UTC

Severity: serious

Tags: squeeze-ignore

Found in version ncurses/5.7+20100313-4

Fixed in version ncurses/5.7+20100313-5

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, svenjoac@gmx.de, debian-bsd@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Mon, 20 Dec 2010 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to svenjoac@gmx.de, debian-bsd@lists.debian.org, Craig Small <csmall@debian.org>. (Mon, 20 Dec 2010 21:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 20 Dec 2010 22:06:00 +0100
Package: ncurses-base
Version: 5.7+20100313-4
Severity: serious
X-Debbugs-CC: debian-bsd@lists.debian.org

The changes to the kFreeBSD console and the kbdcontrol package (see
#605065 and #605777) need to be accompanied by changing the cons25
terminfo entry accordingly, otherwise ncurses-based programs severely
misbehave.

In particular, the backspace key deletes forwards instead of backwards
which is totally unacceptable.  In Emacs, the delete key malfunctions as
well, inserting a tilde (~) instead of deleting the character under the
cursor.

The fix is to use the same definitions for kbs and kdch1 as on Linux,
namely kbs=\177 and kdch1=\E[3~ (stock FreeBSD uses kbs=^H and
kdch1=\177 which has been identified as a PITA in #605065).


-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.37-rc6-nouveau+ (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 21 Dec 2010 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 21 Dec 2010 04:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 607662@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 03:58:16 +0000
[Message part 1 (text/plain, inline)]
On Mon, Dec 20, 2010 at 10:06:00PM +0100, Sven Joachim wrote:
> The changes to the kFreeBSD console and the kbdcontrol package (see
> #605065 and #605777) need to be accompanied by changing the cons25
> terminfo entry accordingly, otherwise ncurses-based programs severely
> misbehave.

You really can't just unilaterally change the cons25 terminfo entry.  If
this proposed change is implemented, people running stock FreeBSD will
have their consoles broken if they log into a Debian system.  If
kFreeBSD needs different settings than the stock cons25 entry, it needs
to create and use a different TERM type.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 21 Dec 2010 07:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 21 Dec 2010 07:21:10 GMT) Full text and rfc822 format available.

Message #15 received at 607662@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: 607662@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 08:18:43 +0100
On 2010-12-21 04:58 +0100, brian m. carlson wrote:

> On Mon, Dec 20, 2010 at 10:06:00PM +0100, Sven Joachim wrote:
>> The changes to the kFreeBSD console and the kbdcontrol package (see
>> #605065 and #605777) need to be accompanied by changing the cons25
>> terminfo entry accordingly, otherwise ncurses-based programs severely
>> misbehave.
>
> You really can't just unilaterally change the cons25 terminfo entry.  If
> this proposed change is implemented, people running stock FreeBSD will
> have their consoles broken if they log into a Debian system.

Right, they will have the opposite problem then, the delete key deletes
backwards while backspace works correctly.  Note that a similar problem
already exists for the xterm terminfo entry, see
/usr/share/doc/libncurses5/FAQ.

> If kFreeBSD needs different settings than the stock cons25 entry, it
> needs to create and use a different TERM type.

I suppose that ncurses-base would ship the terminfo entry for it, and
kfreebsd-image-* packages need to depend on an ncurses-base version that
has this terminfo entry, right?  Any suggestions for the name?

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 21 Dec 2010 07:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 21 Dec 2010 07:24:06 GMT) Full text and rfc822 format available.

Message #20 received at 607662@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605065@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 08:24:35 +0100 (CET)
>> The changes to the kFreeBSD console and the kbdcontrol package (see
>> #605065 and #605777) need to be accompanied by changing the cons25
>> terminfo entry accordingly, otherwise ncurses-based programs severely
>> misbehave.
>
> You really can't just unilaterally change the cons25 terminfo entry.  If
> this proposed change is implemented, people running stock FreeBSD will
> have their consoles broken if they log into a Debian system.  If
> kFreeBSD needs different settings than the stock cons25 entry, it needs
> to create and use a different TERM type.

Yes, changing cons25 terminfo entry is no option.
The creating of completely new terminfo entry is also no option,
as it means the new entry would be unknown on all other systems.
Moreover it would need changes to some other packages, at least sysvinit.

For the record, I tested new kernel image in the shell
and in jstar(joe) editor, it worked fine.
The jstar is linked to ***libncurses*** :-(

I propose revert changes in kernel and kbdcontrol and ask for ignore tag
for this "technology preview" release.

Petr





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 21 Dec 2010 10:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 21 Dec 2010 10:03:03 GMT) Full text and rfc822 format available.

Message #25 received at 607662@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, Craig Small <csmall@debian.org>
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 05:00:40 -0500 (EST)
On Tue, 21 Dec 2010, Sven Joachim wrote:

> On 2010-12-21 04:58 +0100, brian m. carlson wrote:
>
>> On Mon, Dec 20, 2010 at 10:06:00PM +0100, Sven Joachim wrote:
>>> The changes to the kFreeBSD console and the kbdcontrol package (see
>>> #605065 and #605777) need to be accompanied by changing the cons25
>>> terminfo entry accordingly, otherwise ncurses-based programs severely
>>> misbehave.
>>
>> You really can't just unilaterally change the cons25 terminfo entry.  If
>> this proposed change is implemented, people running stock FreeBSD will
>> have their consoles broken if they log into a Debian system.
>
> Right, they will have the opposite problem then, the delete key deletes
> backwards while backspace works correctly.  Note that a similar problem
> already exists for the xterm terminfo entry, see
> /usr/share/doc/libncurses5/FAQ.
>
>> If kFreeBSD needs different settings than the stock cons25 entry, it
>> needs to create and use a different TERM type.
>
> I suppose that ncurses-base would ship the terminfo entry for it, and
> kfreebsd-image-* packages need to depend on an ncurses-base version that
> has this terminfo entry, right?  Any suggestions for the name?

perhaps "kons25"

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 21 Dec 2010 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 21 Dec 2010 14:33:03 GMT) Full text and rfc822 format available.

Message #30 received at 607662@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, 607662@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 15:29:44 +0100
2010/12/21 Sven Joachim <svenjoac@gmx.de>:
> I suppose that ncurses-base would ship the terminfo entry for it, and
> kfreebsd-image-* packages need to depend on an ncurses-base version that
> has this terminfo entry, right?  Any suggestions for the name?

Given that we might want to try merge these changes upstream
(FreeBSD) someday, I suggest that we consensuate a name with
them.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 21 Dec 2010 14:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 21 Dec 2010 14:36:08 GMT) Full text and rfc822 format available.

Message #35 received at 607662@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 15:33:17 +0100
2010/12/21 Petr Salinger <Petr.Salinger@seznam.cz>:
>
> I propose revert changes in kernel and kbdcontrol and ask for ignore tag
> for this "technology preview" release.

I second this.  This would make it easier to coordinate with
upstream and at least agree on what name to use.  Release
pressure wouldn't play well with that.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 21 Dec 2010 18:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 21 Dec 2010 18:57:14 GMT) Full text and rfc822 format available.

Message #40 received at 607662@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, 605065@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 20:51:54 +0200
[Message part 1 (text/plain, inline)]
Hello,

On antradienis 21 Gruodis 2010 09:24:35 Petr Salinger wrote:
> >> The changes to the kFreeBSD console and the kbdcontrol package (see
> >> #605065 and #605777) need to be accompanied by changing the cons25
> >> terminfo entry accordingly, otherwise ncurses-based programs severely
> >> misbehave.
> > 
> > You really can't just unilaterally change the cons25 terminfo entry.  If
> > this proposed change is implemented, people running stock FreeBSD will
> > have their consoles broken if they log into a Debian system.  If
> > kFreeBSD needs different settings than the stock cons25 entry, it needs
> > to create and use a different TERM type.
> 
> Yes, changing cons25 terminfo entry is no option.
> The creating of completely new terminfo entry is also no option,
> as it means the new entry would be unknown on all other systems.
> Moreover it would need changes to some other packages, at least sysvinit.

I (as reporter of the original bug #605777) think that BSD team and release 
managers should decide what's the best way to go for Squeeze. However, if the 
decision is to ignore this for Squeeze, #605777 should stay open at its 
current severity (tagged as squeeze-ignore).

Speaking with my DD hat on, the biggest practical problem I see here is that I 
am forced to support kfreebsd while kfreebsd doesn't exactly welcome me with 
arms open. Having backspace and delete keys broken is big deal and has a great 
impact on my efficiency. However, now I know that X environment does not 
suffer from this problem so there is some light at the end of tunnel.

As a temporary workaround, I would suggest (if it's possible) creating a new 
optional userspace keymap (maybe called "US Debian" or something) which would 
be the same as standard kfbsd kernel keymap expect assign proper actions to 
backspace and delete keys. Obviously, this keymap might have some bad side- 
effects (hence it wouldn't be default) but at least users would have a choice.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 21 Dec 2010 23:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 21 Dec 2010 23:42:05 GMT) Full text and rfc822 format available.

Message #45 received at 607662@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605065@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 21 Dec 2010 23:39:50 +0000
[Message part 1 (text/plain, inline)]
On Tue, Dec 21, 2010 at 08:24:35AM +0100, Petr Salinger wrote:
> >You really can't just unilaterally change the cons25 terminfo entry.  If
> >this proposed change is implemented, people running stock FreeBSD will
> >have their consoles broken if they log into a Debian system.  If
> >kFreeBSD needs different settings than the stock cons25 entry, it needs
> >to create and use a different TERM type.
> 
> Yes, changing cons25 terminfo entry is no option.
> The creating of completely new terminfo entry is also no option,
> as it means the new entry would be unknown on all other systems.
> Moreover it would need changes to some other packages, at least sysvinit.

The new entry would presumably be pushed to ncurses upstream, who has
already weighed in here.  I'll write the terminfo entry myself and
attach it to this bug.  Assuming I can test this with kvm, I'll also
look at patching sysvinit and seeing what breaks.

My proposed name for the terminal name is cons25-debian, but you're
obviously free to change it to something more suitable.  Also feel free
to point me towards programs that break that I should test.  Obviously,
I'll be testing vim.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Wed, 22 Dec 2010 07:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 22 Dec 2010 07:42:05 GMT) Full text and rfc822 format available.

Message #50 received at 607662@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "brian m. carlson" <sandals@crustytoothpaste.net>, 605065@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, modax@debian.org, 607662@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 22 Dec 2010 08:41:03 +0100 (CET)
>>> You really can't just unilaterally change the cons25 terminfo entry.  If
>>> this proposed change is implemented, people running stock FreeBSD will
>>> have their consoles broken if they log into a Debian system.  If
>>> kFreeBSD needs different settings than the stock cons25 entry, it needs
>>> to create and use a different TERM type.
>>
>> Yes, changing cons25 terminfo entry is no option.
>> The creating of completely new terminfo entry is also no option,
>> as it means the new entry would be unknown on all other systems.
>> Moreover it would need changes to some other packages, at least sysvinit.
>
> The new entry would presumably be pushed to ncurses upstream, who has
> already weighed in here.  I'll write the terminfo entry myself and
> attach it to this bug.  Assuming I can test this with kvm, I'll also
> look at patching sysvinit and seeing what breaks.
>
> My proposed name for the terminal name is cons25-debian, but you're
> obviously free to change it to something more suitable.  Also feel free
> to point me towards programs that break that I should test.  Obviously,
> I'll be testing vim.

I am still unsure whether this is the right way to go.
It seems that current plain FreeBSD kernel generates events
that fully corresponds to cons25 entry.

It just uses different definitions for kbs and kdch1 
wrt Linux,

Linux:          kbs=\177 kdch1=\E[3~
FreeBSD/cons25s kbs=^H   kdch1=\177

The problem might be incorect "stty erase" setting,
programs that do not honor these settings
or some workarounds in programs.

It seems that upstream FreeBSD plans to switch their $TERM into xterm,
via TEKEN_XTERM.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Wed, 22 Dec 2010 08:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 22 Dec 2010 08:51:07 GMT) Full text and rfc822 format available.

Message #55 received at 607662@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, 605065@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 22 Dec 2010 09:47:42 +0100
On 2010-12-22 08:41 +0100, Petr Salinger wrote:

> It seems that current plain FreeBSD kernel generates events
> that fully corresponds to cons25 entry.
>
> It just uses different definitions for kbs and kdch1 wrt Linux,
>
> Linux:          kbs=\177 kdch1=\E[3~
> FreeBSD/cons25s kbs=^H   kdch1=\177
>
> The problem might be incorect "stty erase" setting,
> programs that do not honor these settings
> or some workarounds in programs.

Emacs, for instance, does not expect ^H to mean "delete previous
character" by default.  Instead it invokes the online help, which is
annoying to no end.  While this can be changed in .emacs, the backspace
key not working out of the box is still a serious problem IMO.

> It seems that upstream FreeBSD plans to switch their $TERM into xterm,
> via TEKEN_XTERM.

Actually the switch to xterm has happened already, more than one year
ago: http://svn.freebsd.org/viewvc/base?view=revision&revision=199250.

Note that Debian uses kbs=\177 in the xterm terminfo entry, while xterm
upstream has kbs=^H.

Cheers,
       Sven





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Thu, 23 Dec 2010 03:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 23 Dec 2010 03:18:07 GMT) Full text and rfc822 format available.

Message #60 received at 607662@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>, 605065@bugs.debian.org
Cc: 607662@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 04:17:32 +0100 (CET)
>> It seems that current plain FreeBSD kernel generates events
>> that fully corresponds to cons25 entry.
>>
>> It just uses different definitions for kbs and kdch1 wrt Linux,
>>
>> Linux:          kbs=\177 kdch1=\E[3~
>> FreeBSD/cons25  kbs=^H   kdch1=\177

>
> Emacs, for instance, does not expect ^H to mean "delete previous
> character" by default.  Instead it invokes the online help, which is
> annoying to no end.  While this can be changed in .emacs, the backspace
> key not working out of the box is still a serious problem IMO.
>
>> It seems that upstream FreeBSD plans to switch their $TERM into xterm,
>> via TEKEN_XTERM.
>
> Actually the switch to xterm has happened already, more than one year
> ago: http://svn.freebsd.org/viewvc/base?view=revision&revision=199250.
>
> Note that Debian uses kbs=\177 in the xterm terminfo entry, while xterm
> upstream has kbs=^H.

Given that, it might be the best way to really alter cons25 entry 
in ncurses package (debian only) to use "kbs=\177 kdch1=\E[3~".

The kfreebsd-8 8.1+dfsg-7 and
    freebsd-utils 8.1-3 generates these sequences.

The next debian release will be based of FreeBSD 9.x kernel with xterm 
entry for console anyway.

As follows from /usr/share/doc/libncurses5/FAQ
"The Debian terminfo entry for xterm doesn't work with some other xterms"
the variant cons25-debian have other drawbacks.

Please, can someone with deep understanding of terminfo/termcap/...
comment on this way ?

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Thu, 23 Dec 2010 16:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 23 Dec 2010 16:15:05 GMT) Full text and rfc822 format available.

Message #65 received at 607662@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 17:10:28 +0100
On 2010-12-23 04:17 +0100, Petr Salinger wrote:

>>> It seems that current plain FreeBSD kernel generates events
>>> that fully corresponds to cons25 entry.
>>>
>>> It just uses different definitions for kbs and kdch1 wrt Linux,
>>>
>>> Linux:          kbs=\177 kdch1=\E[3~
>>> FreeBSD/cons25  kbs=^H   kdch1=\177
>
>>
>> Emacs, for instance, does not expect ^H to mean "delete previous
>> character" by default.  Instead it invokes the online help, which is
>> annoying to no end.  While this can be changed in .emacs, the backspace
>> key not working out of the box is still a serious problem IMO.
>>
>>> It seems that upstream FreeBSD plans to switch their $TERM into xterm,
>>> via TEKEN_XTERM.
>>
>> Actually the switch to xterm has happened already, more than one year
>> ago: http://svn.freebsd.org/viewvc/base?view=revision&revision=199250.
>>
>> Note that Debian uses kbs=\177 in the xterm terminfo entry, while xterm
>> upstream has kbs=^H.
>
> Given that, it might be the best way to really alter cons25 entry in
> ncurses package (debian only) to use "kbs=\177 kdch1=\E[3~".

I don't see how this follows.  People having an xterm-like terminal that
is not compatible with Debian's xterm terminfo entry can easily work
around it by setting TERM=xterm-r6 or similar when they connect to a
Debian machine.  What are FreeBSD users going to do when we introduce an
incompatible cons25 entry?  And what should GNU/kFreeBSD users do when
they connect to a non-Debian machine?

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Thu, 23 Dec 2010 18:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 23 Dec 2010 18:36:08 GMT) Full text and rfc822 format available.

Message #70 received at 607662@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Sven Joachim <svenjoac@gmx.de>
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, 607662@bugs.debian.org, 605065@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 18:32:07 +0000
[Message part 1 (text/plain, inline)]
On Thu, Dec 23, 2010 at 05:10:28PM +0100, Sven Joachim wrote:
> I don't see how this follows.  People having an xterm-like terminal that
> is not compatible with Debian's xterm terminfo entry can easily work
> around it by setting TERM=xterm-r6 or similar when they connect to a
> Debian machine.  What are FreeBSD users going to do when we introduce an
> incompatible cons25 entry?  And what should GNU/kFreeBSD users do when
> they connect to a non-Debian machine?

If we push the new entry upstream, it will be picked up by the majority
of Linux distributions, since it will go into ncurses.  FreeBSD has an
ncurses port and so does NetBSD.  I believe it is likely that we can get
the definition pushed to FreeBSD if we can convert it to termcap.  If it
can be converted to termcap, I'll be happy to push it to FreeBSD,
NetBSD, and OpenBSD, assuming they'll accept it.

I've attached the necessary patches to create the cons25-debian terminfo
entry and the patch for sysvinit, which seem to work for me in a fresh
kfreebsd-amd64 installation in kvm (patching /etc/inittab is necessary,
though).  If they're useful, great; if not, that's okay, too.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[ncurses-cons25-debian.patch (text/x-diff, attachment)]
[sysvinit-cons25-debian.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Thu, 23 Dec 2010 19:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Thu, 23 Dec 2010 19:36:05 GMT) Full text and rfc822 format available.

Message #75 received at 607662@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "brian m. carlson" <sandals@crustytoothpaste.net>
Cc: 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Thu, 23 Dec 2010 20:32:10 +0100
On 2010-12-23 19:32 +0100, brian m. carlson wrote:

> On Thu, Dec 23, 2010 at 05:10:28PM +0100, Sven Joachim wrote:
>> I don't see how this follows.  People having an xterm-like terminal that
>> is not compatible with Debian's xterm terminfo entry can easily work
>> around it by setting TERM=xterm-r6 or similar when they connect to a
>> Debian machine.  What are FreeBSD users going to do when we introduce an
>> incompatible cons25 entry?  And what should GNU/kFreeBSD users do when
>> they connect to a non-Debian machine?
>
> If we push the new entry upstream, it will be picked up by the majority
> of Linux distributions, since it will go into ncurses.  FreeBSD has an
> ncurses port and so does NetBSD.  I believe it is likely that we can get
> the definition pushed to FreeBSD if we can convert it to termcap.  If it
> can be converted to termcap, I'll be happy to push it to FreeBSD,
> NetBSD, and OpenBSD, assuming they'll accept it.

How long is that going to take?  In the meantime, console users of
GNU/kFreeBSD are screwed whenever they connect to other systems, since
that means they must change their TERM variable _and_ their backspace
key is broken.

> I've attached the necessary patches to create the cons25-debian
> terminfo entry and the patch for sysvinit, which seem to work for me
> in a fresh kfreebsd-amd64 installation in kvm (patching /etc/inittab
> is necessary, though).  If they're useful, great; if not, that's okay,
> too.

The cons25-debian name might not be a very good one if you want to that
push terminfo entry to other systems.  That may be for Thomas to decide.

Personally I'm leaning towards reverting the changes to the kFreeBSD
kernel and freebsd-utils for Squeeze.  Surely, it means a somewhat
broken console, but at least the problems are about the same as in
FreeBSD proper, and we don't create additional incompatibilities with
other systems.

Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Sun, 26 Dec 2010 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sun, 26 Dec 2010 17:57:03 GMT) Full text and rfc822 format available.

Message #80 received at 607662@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Sun, 26 Dec 2010 18:55:03 +0100
[Message part 1 (text/plain, inline)]
user release.debian.org@packages.debian.org
usertag 607662 squeeze-can-defer
tag 607662 squeeze-ignore
kthxbye

On Mon, Dec 20, 2010 at 22:06:00 +0100, Sven Joachim wrote:

> Package: ncurses-base
> Version: 5.7+20100313-4
> Severity: serious
> X-Debbugs-CC: debian-bsd@lists.debian.org
> 
> The changes to the kFreeBSD console and the kbdcontrol package (see
> #605065 and #605777) need to be accompanied by changing the cons25
> terminfo entry accordingly, otherwise ncurses-based programs severely
> misbehave.
> 
Not delaying squeeze for kfreebsd-specific issues, so if this isn't
ready by the time everything else is then it'll wait for r1; tagging
accordingly.  If a fix is ready for r0 it will of course be considered,
though.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 26 Dec 2010 17:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Mon, 27 Dec 2010 08:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 27 Dec 2010 08:51:05 GMT) Full text and rfc822 format available.

Message #87 received at 607662@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>, 605065@bugs.debian.org
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, 607662@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 09:52:23 +0100 (CET)
> How long is that going to take?  In the meantime, console users of
> GNU/kFreeBSD are screwed whenever they connect to other systems, since
> that means they must change their TERM variable _and_ their backspace
> key is broken.

>> I've attached the necessary patches to create the cons25-debian
>> terminfo entry and the patch for sysvinit, which seem to work for me
>> in a fresh kfreebsd-amd64 installation in kvm (patching /etc/inittab
>> is necessary, though).  If they're useful, great; if not, that's okay,
>> too.
>
> The cons25-debian name might not be a very good one if you want to that
> push terminfo entry to other systems.  That may be for Thomas to decide.
>
> Personally I'm leaning towards reverting the changes to the kFreeBSD
> kernel and freebsd-utils for Squeeze.  Surely, it means a somewhat
> broken console, but at least the problems are about the same as in
> FreeBSD proper, and we don't create additional incompatibilities with
> other systems.

I see two basic options:

1) plain cons25 variant: current sysvinit, ncurses
   and kfreebsd-8 8.1+dfsg-6, freebsd-utils 8.1-2

It does not conform to debian policy, the backspace/delete key is somewhat 
broken on console and somewhat broken when connection to other systems 
from console

2) cons25-debian variant: needs patched sysvinit, patched ncurses,
   and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3

It does conform to debian policy, the backspace/delete key works
on console, it is needed to set TERM when connection to other systems
from console and is somewhat broken when connection is made to other 
systems directly from console.

In both cases the connection to other systems from running X is fine.
In both cases there will be change (and fix) for FreeBSD 9.x kernel,
as it already has TEKEN_XTERM as a default.

The cons25-debian seems be fine for me, as it should be only local change 
for one release of Debian GNU/kFreeBSD. The next one will not use it.

And there is a third option, mixture of both above.
As a default use the plain cons25 variant. Additionaly provide
cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
By default it will work as variant 1, but there is a possibility
to set TERM to cons25-debian and set keymap which would generate the 
correct sequences for cons25-debian.

This variant needs current sysvinit, patched ncurses, patched kfreebsd-8
and patched freebsd-utils.

My personal order of preferences is 3, 1, 2.
All seems better compared to current status.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Mon, 27 Dec 2010 16:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 27 Dec 2010 16:57:06 GMT) Full text and rfc822 format available.

Message #92 received at 607662@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 17:53:40 +0100
On 2010-12-27 09:52 +0100, Petr Salinger wrote:

> I see two basic options:
>
> 1) plain cons25 variant: current sysvinit, ncurses
>    and kfreebsd-8 8.1+dfsg-6, freebsd-utils 8.1-2
>
> It does not conform to debian policy, the backspace/delete key is
> somewhat broken on console and somewhat broken when connection to
> other systems from console
>
> 2) cons25-debian variant: needs patched sysvinit, patched ncurses,
>    and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3
>
> It does conform to debian policy, the backspace/delete key works
> on console, it is needed to set TERM when connection to other systems
> from console and is somewhat broken when connection is made to other
> systems directly from console.

It seems to be a bit more broken than in the situation in 1), though.
For instance, programs that expect ^H to mean "delete previous
character" (this seems to include nano, for instance) work fine in 1),
but most text editors will be broken in 2) when run remotely.

> The cons25-debian seems be fine for me, as it should be only local
> change for one release of Debian GNU/kFreeBSD. The next one will not
> use it.

Any name is fine with me as long as ncurses upstream accepts it.

> And there is a third option, mixture of both above.
> As a default use the plain cons25 variant. Additionaly provide
> cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
> By default it will work as variant 1, but there is a possibility
> to set TERM to cons25-debian and set keymap which would generate the
> correct sequences for cons25-debian.

Only one keymap, or several of them?  I would not like having to use US
keyboard layout for correct backspace/delete keys.

> This variant needs current sysvinit, patched ncurses, patched kfreebsd-8
> and patched freebsd-utils.
>
> My personal order of preferences is 3, 1, 2.
> All seems better compared to current status.

I agree with that.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Mon, 27 Dec 2010 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 27 Dec 2010 17:57:05 GMT) Full text and rfc822 format available.

Message #97 received at 607662@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, "brian m. carlson" <sandals@crustytoothpaste.net>, 607662@bugs.debian.org, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 18:52:06 +0100
2010/12/27 Petr Salinger <Petr.Salinger@seznam.cz>:
>
> I see two basic options:
>
> [...]
> And there is a third option, mixture of both above. [...]

There's a fourth option: backporting TEKEN_XTERM from 9-current.

(I'm not speaking in favour of it, I have no idea whether it'd be
feasible or not)

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Mon, 27 Dec 2010 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 27 Dec 2010 18:51:05 GMT) Full text and rfc822 format available.

Message #102 received at 607662@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>, 605065@bugs.debian.org
Cc: 607662@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 19:51:33 +0100 (CET)
>> The cons25-debian seems be fine for me, as it should be only local
>> change for one release of Debian GNU/kFreeBSD. The next one will not
>> use it.
>
> Any name is fine with me as long as ncurses upstream accepts it.

The next debian release will be based on FreeBSD 9.x kernel, with 
TERM=xterm, so IMHO, this name even do not need to be in upstream.

>> And there is a third option, mixture of both above.
>> As a default use the plain cons25 variant. Additionaly provide
>> cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
>> By default it will work as variant 1, but there is a possibility
>> to set TERM to cons25-debian and set keymap which would generate the
>> correct sequences for cons25-debian.
>
> Only one keymap, or several of them?  I would not like having to use US
> keyboard layout for correct backspace/delete keys.

Or a script, which will change currently loaded keymap to policy 
conforming, roughly

 kbdcontrol -d | sed ... | kbdcontrol -l

So best option for now seems be to prevent
freebsd-utils 8.1-3 from entering 
testing and a new upload of kfreebsd-8.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Mon, 27 Dec 2010 19:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 27 Dec 2010 19:48:05 GMT) Full text and rfc822 format available.

Message #107 received at 607662@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Mon, 27 Dec 2010 20:44:51 +0100
On 2010-12-27 19:51 +0100, Petr Salinger wrote:

>>> The cons25-debian seems be fine for me, as it should be only local
>>> change for one release of Debian GNU/kFreeBSD. The next one will not
>>> use it.
>>
>> Any name is fine with me as long as ncurses upstream accepts it.
>
> The next debian release will be based on FreeBSD 9.x kernel, with
> TERM=xterm, so IMHO, this name even do not need to be in upstream.

Would still be nice if it were, so that Squeeze GNU/kFreeBSD users have
at least a chance that remote systems have the terminfo entry.

>>> And there is a third option, mixture of both above.
>>> As a default use the plain cons25 variant. Additionaly provide
>>> cons25-debian entry in ncurses and special debian keymap in freebsd-utils.
>>> By default it will work as variant 1, but there is a possibility
>>> to set TERM to cons25-debian and set keymap which would generate the
>>> correct sequences for cons25-debian.
>>
>> Only one keymap, or several of them?  I would not like having to use US
>> keyboard layout for correct backspace/delete keys.
>
> Or a script, which will change currently loaded keymap to policy
> conforming, roughly
>
>  kbdcontrol -d | sed ... | kbdcontrol -l

When is this script to be run, and where should people set the TERM
environment variable for it?

> So best option for now seems be to prevent
> freebsd-utils 8.1-3 from entering testing and a new upload of
> kfreebsd-8.

For the record, freebsd-utils 8.1-3 will migrate in three days if not
hindered.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 28 Dec 2010 23:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 28 Dec 2010 23:39:09 GMT) Full text and rfc822 format available.

Message #112 received at 607662@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, 607662@bugs.debian.org, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org
Subject: Re: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 28 Dec 2010 23:36:57 +0000
On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> > So best option for now seems be to prevent
> > freebsd-utils 8.1-3 from entering testing and a new upload of
> > kfreebsd-8.
> 
> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> hindered.

To be precise, it would have migrated tomorrow.  I've just commented out
my unblock hint for freebsd-utils, but that means that #605777 still
isn't fixed in Squeeze so I'd appreciate this getting resolved one way
or another asap.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Wed, 29 Dec 2010 09:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 29 Dec 2010 09:27:12 GMT) Full text and rfc822 format available.

Message #117 received at 607662@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, Sven Joachim <svenjoac@gmx.de>, "brian m. carlson" <sandals@crustytoothpaste.net>, 607662@bugs.debian.org, 605777-quiet@bugs.debian.org
Subject: Re: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 29 Dec 2010 11:12:59 +0200
[Message part 1 (text/plain, inline)]
Hello,

On pirmadienis 27 Gruodis 2010 19:52:06 Robert Millan wrote:
> 2010/12/27 Petr Salinger <Petr.Salinger@seznam.cz>:
> > I see two basic options:
> > 
> > [...]
> > And there is a third option, mixture of both above. [...]
> 
> There's a fourth option: backporting TEKEN_XTERM from 9-current.

Actually, I really like the latter option (I don't know how difficult it would 
be though).

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Wed, 29 Dec 2010 19:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 29 Dec 2010 19:09:08 GMT) Full text and rfc822 format available.

Message #122 received at 607662@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 607662@bugs.debian.org, 605777@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org
Subject: Re: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 29 Dec 2010 20:07:47 +0100
On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:

> On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
>> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
>> > So best option for now seems be to prevent
>> > freebsd-utils 8.1-3 from entering testing and a new upload of
>> > kfreebsd-8.
>> 
>> For the record, freebsd-utils 8.1-3 will migrate in three days if not
>> hindered.
>
> To be precise, it would have migrated tomorrow.  I've just commented out
> my unblock hint for freebsd-utils, but that means that #605777 still
> isn't fixed in Squeeze so I'd appreciate this getting resolved one way
> or another asap.

I have added the proposed patch for the cons25-debian terminfo entry to
ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
to implement any of the suggested solutions.

Craig, could you please upload ncurses 5.7+20100313-5 (from the sid
branch)?

Cheers,
       Sven


¹ http://git.debian.org/?p=collab-maint/ncurses.git;a=commit;h=8eaf8feced3d17fb54feff450d766457f166ac73




Added tag(s) pending. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 29 Dec 2010 19:09:12 GMT) Full text and rfc822 format available.

Message sent on to Sven Joachim <svenjoac@gmx.de>:
Bug#607662. (Wed, 29 Dec 2010 19:09:16 GMT) Full text and rfc822 format available.

Message #127 received at 607662-submitter@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 607662-submitter@bugs.debian.org
Subject: Bug#607662 marked as pending
Date: Wed, 29 Dec 2010 19:05:10 +0000
tag 607662 pending
thanks

Hello,

Bug #607662 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/ncurses.git;a=commitdiff;h=8eaf8fe

---
commit 8eaf8feced3d17fb54feff450d766457f166ac73
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Dec 29 18:54:07 2010 +0100

    Add cons25-debian terminfo entry to ncurses-base
    
    The Debian GNU/kfreeBSD console differs from the stock FreeBSD one in
    respect to the backspace/delete keys, which have been modified to
    behave as in Linux to match the Debian Policy.  This requires a new
    terminfo entry because the backspace key shows erratic behavior with
    the standard cons25 entry.  Closes: #607662

diff --git a/debian/changelog b/debian/changelog
index ffcf4c4..e67e9dc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+ncurses (5.7+20100313-5) UNRELEASED; urgency=low
+
+  * New patch 01-debian-kfreebsd-terminfo.patch, adding a cons25-debian
+    terminfo entry to ncurses-base for the Debian GNU/kfreebsd console
+    (Closes: #607662).
+
+ -- Sven Joachim <svenjoac@gmx.de>  Wed, 29 Dec 2010 18:53:50 +0100
+
 ncurses (5.7+20100313-4) unstable; urgency=low
 
   * New patch 09-fix-delscreen-segfault.diff taken from upstream




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Wed, 29 Dec 2010 19:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 29 Dec 2010 19:15:08 GMT) Full text and rfc822 format available.

Message #132 received at 607662@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Modestas Vainius <modax@debian.org>
Cc: 607662@bugs.debian.org, Robert Millan <rmh@debian.org>, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, 605777-quiet@bugs.debian.org
Subject: Re: Bug#607662: Bug#605065: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 29 Dec 2010 20:10:48 +0100
On 2010-12-29 10:12 +0100, Modestas Vainius wrote:

> On pirmadienis 27 Gruodis 2010 19:52:06 Robert Millan wrote:
>> 2010/12/27 Petr Salinger <Petr.Salinger@seznam.cz>:
>> > I see two basic options:
>> > 
>> > [...]
>> > And there is a third option, mixture of both above. [...]
>> 
>> There's a fourth option: backporting TEKEN_XTERM from 9-current.
>
> Actually, I really like the latter option (I don't know how difficult it would 
> be though).

I like this option as well, but the deep freeze might not be the best
time to implement it.

Regards,
        Sven




Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Tue, 04 Jan 2011 10:51:08 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Tue, 04 Jan 2011 10:51:08 GMT) Full text and rfc822 format available.

Message #137 received at 607662-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 607662-close@bugs.debian.org
Subject: Bug#607662: fixed in ncurses 5.7+20100313-5
Date: Tue, 04 Jan 2011 10:47:50 +0000
Source: ncurses
Source-Version: 5.7+20100313-5

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.7+20100313-5_amd64.deb
  to main/n/ncurses/lib32ncurses5-dev_5.7+20100313-5_amd64.deb
lib32ncurses5_5.7+20100313-5_amd64.deb
  to main/n/ncurses/lib32ncurses5_5.7+20100313-5_amd64.deb
lib32ncursesw5-dev_5.7+20100313-5_amd64.deb
  to main/n/ncurses/lib32ncursesw5-dev_5.7+20100313-5_amd64.deb
lib32ncursesw5_5.7+20100313-5_amd64.deb
  to main/n/ncurses/lib32ncursesw5_5.7+20100313-5_amd64.deb
libncurses5-dbg_5.7+20100313-5_amd64.deb
  to main/n/ncurses/libncurses5-dbg_5.7+20100313-5_amd64.deb
libncurses5-dev_5.7+20100313-5_amd64.deb
  to main/n/ncurses/libncurses5-dev_5.7+20100313-5_amd64.deb
libncurses5_5.7+20100313-5_amd64.deb
  to main/n/ncurses/libncurses5_5.7+20100313-5_amd64.deb
libncursesw5-dbg_5.7+20100313-5_amd64.deb
  to main/n/ncurses/libncursesw5-dbg_5.7+20100313-5_amd64.deb
libncursesw5-dev_5.7+20100313-5_amd64.deb
  to main/n/ncurses/libncursesw5-dev_5.7+20100313-5_amd64.deb
libncursesw5_5.7+20100313-5_amd64.deb
  to main/n/ncurses/libncursesw5_5.7+20100313-5_amd64.deb
ncurses-base_5.7+20100313-5_all.deb
  to main/n/ncurses/ncurses-base_5.7+20100313-5_all.deb
ncurses-bin_5.7+20100313-5_amd64.deb
  to main/n/ncurses/ncurses-bin_5.7+20100313-5_amd64.deb
ncurses-term_5.7+20100313-5_all.deb
  to main/n/ncurses/ncurses-term_5.7+20100313-5_all.deb
ncurses_5.7+20100313-5.diff.gz
  to main/n/ncurses/ncurses_5.7+20100313-5.diff.gz
ncurses_5.7+20100313-5.dsc
  to main/n/ncurses/ncurses_5.7+20100313-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607662@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Dec 2010 19:55:00 +0100
Source: ncurses
Binary: libncurses5 libncurses5-dev libncurses5-dbg libncursesw5 libncursesw5-dev libncursesw5-dbg lib64ncurses5 lib64ncurses5-dev lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev ncurses-bin ncurses-base ncurses-term
Architecture: source amd64 all
Version: 5.7+20100313-5
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 lib32ncurses5 - shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - developer's libraries for ncurses (32-bit)
 lib32ncursesw5 - shared libraries for terminal handling (wide character support) (
 lib32ncursesw5-dev - developer's libraries for ncursesw (32-bit)
 lib64ncurses5 - shared libraries for terminal handling (64-bit)
 lib64ncurses5-dev - developer's libraries for ncurses (64-bit)
 libncurses5 - shared libraries for terminal handling
 libncurses5-dbg - debugging/profiling libraries for ncurses
 libncurses5-dev - developer's libraries and docs for ncurses
 libncursesw5 - shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - debugging/profiling libraries for ncurses
 libncursesw5-dev - developer's libraries for ncursesw
 ncurses-base - basic terminal type definitions
 ncurses-bin - terminal-related programs and man pages
 ncurses-term - additional terminal type definitions
Closes: 607662
Changes: 
 ncurses (5.7+20100313-5) unstable; urgency=low
 .
   * New patch 01-debian-kfreebsd-terminfo.patch, adding a cons25-debian
     terminfo entry to ncurses-base for the Debian GNU/kfreebsd console
     (Closes: #607662).
Checksums-Sha1: 
 507e20f8ee326deafa8a6097e5c4b74439942850 1575 ncurses_5.7+20100313-5.dsc
 1a0b25b0a3d10bf9e945e891b42d4ffbfc12503a 47964 ncurses_5.7+20100313-5.diff.gz
 38e9afe057148a4bbfcd5bf29285ed851899b004 364866 libncurses5_5.7+20100313-5_amd64.deb
 6d53dc325321d34bc00e18cf183a2c86395f155a 1632102 libncurses5-dev_5.7+20100313-5_amd64.deb
 3f4513d3de97457db50d719b9ccba24b9a493cdb 3261714 libncurses5-dbg_5.7+20100313-5_amd64.deb
 775fba5ac6388f064b65aadaf3f95cb7ab3fff17 389516 libncursesw5_5.7+20100313-5_amd64.deb
 7cf40949d36ba93a8e46df955e90da7fdfc93220 528488 libncursesw5-dev_5.7+20100313-5_amd64.deb
 823c1e4a552899089a88e25f09e36126dac52483 2804298 libncursesw5-dbg_5.7+20100313-5_amd64.deb
 1aee2d7a064aa25971a627e3f7d91daba85125c1 344876 lib32ncurses5_5.7+20100313-5_amd64.deb
 7aacb8d09d71d4bc8c006ec03c2ebc33d6570a98 397174 lib32ncurses5-dev_5.7+20100313-5_amd64.deb
 c42657d7dd4570c78a7031b2b036d4dc260a9e0b 371384 lib32ncursesw5_5.7+20100313-5_amd64.deb
 862da0628f05f498e26bd54126987630697a8d4f 426572 lib32ncursesw5-dev_5.7+20100313-5_amd64.deb
 6e75dec645d1986ea1fd5f1a1ef66c1e5c1fe65b 320178 ncurses-bin_5.7+20100313-5_amd64.deb
 313b6f5e9b4174d80b026f8a90113141518241a5 187776 ncurses-base_5.7+20100313-5_all.deb
 4d4d4e7d21134cb621c7befede19a35b215bb3f2 576668 ncurses-term_5.7+20100313-5_all.deb
Checksums-Sha256: 
 2667f7ae3bfbd13d5e579f966e541b5115276c29d96eebc0199ad76977d308e7 1575 ncurses_5.7+20100313-5.dsc
 702d0b3bf78bf9662746d16c5fb0b0798cfd7507f63eedc3265df83739e94a25 47964 ncurses_5.7+20100313-5.diff.gz
 72280607c8cdf1326593808324ba95066ec3027943cbac0ef957fdf7b8fde22a 364866 libncurses5_5.7+20100313-5_amd64.deb
 74c7a6d80bdf13515646186540edf586418cbb417fb6e1f1f3a0a9f2c83f4f8e 1632102 libncurses5-dev_5.7+20100313-5_amd64.deb
 f1aa6871ba8b4aa41ce0ccbc7806a0a5558db6863ba6344bb6694572a719ea24 3261714 libncurses5-dbg_5.7+20100313-5_amd64.deb
 1aca9c593a4f67c6ca33b1513c4f85f52bbc688824fef877adf5d4179b717404 389516 libncursesw5_5.7+20100313-5_amd64.deb
 ad889f007c77137ef30f9bab85e2fb87c4c3bf4aa59ff04d436060017acc76b2 528488 libncursesw5-dev_5.7+20100313-5_amd64.deb
 0b01489f14e68623a83a8e10268a0114431c6faedb18fa92ba68aafdd99b65b6 2804298 libncursesw5-dbg_5.7+20100313-5_amd64.deb
 7715bf21b3c008acfe1ed9212e8abdb860621b3c70c6e681e59b7c6b8b0200bd 344876 lib32ncurses5_5.7+20100313-5_amd64.deb
 e11814aa63915a63b4202b67622513dffe003257367cf498d2a7a01956cb5c4a 397174 lib32ncurses5-dev_5.7+20100313-5_amd64.deb
 430a618d7f30cbca8623930287735873d67d75a222112341b24937ef7f7f5abe 371384 lib32ncursesw5_5.7+20100313-5_amd64.deb
 ee2fda68236d39447f6287c600b45ea5bd38a9898adaade0ec1ab40d4a105307 426572 lib32ncursesw5-dev_5.7+20100313-5_amd64.deb
 ef232faca1cc7e922573d18e8917e0c8e87c425479d0acb62ee98252850ad880 320178 ncurses-bin_5.7+20100313-5_amd64.deb
 2b614348cf62dfcf593c0a681186c44415c467e3bc7dd12b832064c05e01982a 187776 ncurses-base_5.7+20100313-5_all.deb
 187ccf843a0ca38dcea3c9c3128219d70f9877a7ca811e3eaff7928ad6abefc3 576668 ncurses-term_5.7+20100313-5_all.deb
Files: 
 df395d42b66f78155ed14b5c64dda641 1575 libs required ncurses_5.7+20100313-5.dsc
 c663855d2dbbf905addd01ee771ce4e1 47964 libs required ncurses_5.7+20100313-5.diff.gz
 797527d3e7c24e2b2aae6d490dce649f 364866 libs required libncurses5_5.7+20100313-5_amd64.deb
 1c66e744bb0863f26aafdd9b63bfffa3 1632102 libdevel optional libncurses5-dev_5.7+20100313-5_amd64.deb
 85e2c777478decc3303dd52bf30f0346 3261714 debug extra libncurses5-dbg_5.7+20100313-5_amd64.deb
 fa291c4ea251f68b25cea61f48411872 389516 libs important libncursesw5_5.7+20100313-5_amd64.deb
 35809079ceab66beae585b890fed776a 528488 libdevel optional libncursesw5-dev_5.7+20100313-5_amd64.deb
 24bbf427f3c109005016b31e65b56a9c 2804298 debug extra libncursesw5-dbg_5.7+20100313-5_amd64.deb
 aa569aab6980e6adaea9e47f80cf851a 344876 libs optional lib32ncurses5_5.7+20100313-5_amd64.deb
 a2440e89de9c8e04932c51c5cc491b68 397174 libdevel optional lib32ncurses5-dev_5.7+20100313-5_amd64.deb
 2cd3cd4333cab0a680df205a515d1982 371384 libs optional lib32ncursesw5_5.7+20100313-5_amd64.deb
 1ec91c032a9518f561b135fe0853037c 426572 libdevel optional lib32ncursesw5-dev_5.7+20100313-5_amd64.deb
 da80c6fc152ed6fe4fece5f17640ef61 320178 utils required ncurses-bin_5.7+20100313-5_amd64.deb
 6f243a5d807f34933cf8fcc66e9f9bbf 187776 utils required ncurses-base_5.7+20100313-5_all.deb
 9a319ff46e15f4a6a69f6ded61cb8702 576668 admin standard ncurses-term_5.7+20100313-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0i77YACgkQx2zlrBLK36WJuACfYo5I0tMqEas9bx92V+esLVxf
dgYAn23cL95i18lomNXKHL7pwv2307tJ
=xOnt
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 04 Jan 2011 22:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 04 Jan 2011 22:12:07 GMT) Full text and rfc822 format available.

Message #142 received at 607662@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org
Cc: 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, modax@debian.org
Subject: Re: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 04 Jan 2011 22:09:21 +0000
On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
> On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
> 
> > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> >> > So best option for now seems be to prevent
> >> > freebsd-utils 8.1-3 from entering testing and a new upload of
> >> > kfreebsd-8.
> >> 
> >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> >> hindered.
[...]
> I have added the proposed patch for the cons25-debian terminfo entry to
> ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
> to implement any of the suggested solutions.

That's now happened; thanks.  Is the ncurses change suitable for
migration in its own right, or does it need an associated change on the
kFreeBSD side still?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 04 Jan 2011 22:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 04 Jan 2011 22:21:09 GMT) Full text and rfc822 format available.

Message #147 received at 607662@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org, 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 605065@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>
Subject: Re: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 00:17:56 +0200
[Message part 1 (text/plain, inline)]
Hello,

On trečiadienis 05 Sausis 2011 00:09:21 Adam D. Barratt wrote:
> On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
> > On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
> > > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> > >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> > >> > So best option for now seems be to prevent
> > >> > freebsd-utils 8.1-3 from entering testing and a new upload of
> > >> > kfreebsd-8.
> > >> 
> > >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> > >> hindered.
> 
> [...]
> 
> > I have added the proposed patch for the cons25-debian terminfo entry to
> > ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
> > to implement any of the suggested solutions.
> 
> That's now happened; thanks.  Is the ncurses change suitable for
> migration in its own right, or does it need an associated change on the
> kFreeBSD side still?

Huh, looks like kfreebsd kernel change was reverted [1].

[1] http://lists.debian.org/E1Pa9a9-00028V-Gv@franck.debian.org


-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 04 Jan 2011 22:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 04 Jan 2011 22:45:09 GMT) Full text and rfc822 format available.

Message #152 received at 607662@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Modestas Vainius <modax@debian.org>, 605065@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org, 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>
Subject: Re: Bug#605065: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Tue, 04 Jan 2011 22:41:13 +0000
On Wed, 2011-01-05 at 00:17 +0200, Modestas Vainius wrote:
> Hello,
> 
> On trečiadienis 05 Sausis 2011 00:09:21 Adam D. Barratt wrote:
> > On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
> > > On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
> > > > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
> > > >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
> > > >> > So best option for now seems be to prevent
> > > >> > freebsd-utils 8.1-3 from entering testing and a new upload of
> > > >> > kfreebsd-8.
> > > >> 
> > > >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
> > > >> hindered.

Hmmm, in fact it looks like someone else unblocked it, so it's migrated
anyway.

> > > I have added the proposed patch for the cons25-debian terminfo entry to
> > > ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
> > > to implement any of the suggested solutions.
> > 
> > That's now happened; thanks.  Is the ncurses change suitable for
> > migration in its own right, or does it need an associated change on the
> > kFreeBSD side still?
> 
> Huh, looks like kfreebsd kernel change was reverted [1].
> 
> [1] http://lists.debian.org/E1Pa9a9-00028V-Gv@franck.debian.org

Indeed.  I'm now thoroughly confused. :-)

As the freebsd-utils change has hit testing after all, is unblocking
ncurses to go with it sufficient, or do we need further changes?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Wed, 05 Jan 2011 07:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 05 Jan 2011 07:09:06 GMT) Full text and rfc822 format available.

Message #157 received at 607662@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065@bugs.debian.org, 605777@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>
Subject: Re: Bug#607662: Bug#605065: Bug#605777: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 05 Jan 2011 08:07:18 +0100
On 2011-01-04 23:41 +0100, Adam D. Barratt wrote:

> On Wed, 2011-01-05 at 00:17 +0200, Modestas Vainius wrote:
>> Hello,
>> 
>> On trečiadienis 05 Sausis 2011 00:09:21 Adam D. Barratt wrote:
>> > On Wed, 2010-12-29 at 20:07 +0100, Sven Joachim wrote:
>> > > On 2010-12-29 00:36 +0100, Adam D. Barratt wrote:
>> > > > On Mon, 2010-12-27 at 20:44 +0100, Sven Joachim wrote:
>> > > >> On 2010-12-27 19:51 +0100, Petr Salinger wrote:
>> > > >> > So best option for now seems be to prevent
>> > > >> > freebsd-utils 8.1-3 from entering testing and a new upload of
>> > > >> > kfreebsd-8.
>> > > >> 
>> > > >> For the record, freebsd-utils 8.1-3 will migrate in three days if not
>> > > >> hindered.
>
> Hmmm, in fact it looks like someone else unblocked it, so it's migrated
> anyway.
>
>> > > I have added the proposed patch for the cons25-debian terminfo entry to
>> > > ncurses git¹.  Once this is in unstable, the kFreeBSD people may choose
>> > > to implement any of the suggested solutions.
>> > 
>> > That's now happened; thanks.  Is the ncurses change suitable for
>> > migration in its own right, or does it need an associated change on the
>> > kFreeBSD side still?
>> 
>> Huh, looks like kfreebsd kernel change was reverted [1].
>> 
>> [1] http://lists.debian.org/E1Pa9a9-00028V-Gv@franck.debian.org
>
> Indeed.  I'm now thoroughly confused. :-)

Argh, with the current combination of the kFreeBSD kernel, freebsd-utils
and ncurses in sid you are between the devil and the deep blue sea:
either set TERM=cons25 and have the backspace key delete forwards, or
set TERM=cons25-debian and have the delete key delete backwards. :-/

> As the freebsd-utils change has hit testing after all, is unblocking
> ncurses to go with it sufficient, or do we need further changes?

I'd rather ask the kFreeBSD people what they really want for Squeeze.
If they are going to revert the changes in freebsd-utils as well (which
is one of the proposed solutions), there is little point in unblocking
ncurses at all.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Wed, 05 Jan 2011 09:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 05 Jan 2011 09:15:11 GMT) Full text and rfc822 format available.

Message #162 received at 607662@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 605065@bugs.debian.org
Cc: Modestas Vainius <modax@debian.org>, Sven Joachim <svenjoac@gmx.de>, 605777@bugs.debian.org, 607662@bugs.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: Bug#605065: Bug#605777: Bug#607662: Bug#605777: Bug#607662: ncurses-base: backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 10:12:08 +0100
2011/1/4 Adam D. Barratt <adam@adam-barratt.org.uk>:
> As the freebsd-utils change has hit testing after all, is unblocking
> ncurses to go with it sufficient, or do we need further changes?

This is what Petr said after asking me to revert those patches:

  Later we might provide sed script to alter loaded keymap
  into policy conforming. It together with ncurses 5.7+20100313-5
  will allow to have conforming and backspace working local console.

  But for now it is better to provide previous state.

So I guess we only need an unblock for freebsd-utils_8.1-3.1 and
kfreebsd-8_8.1+dfsg-7.1.

(freebsd-utils_8.1-3.1 is being uploaded ATTOW)

Thanks

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Wed, 05 Jan 2011 09:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 05 Jan 2011 09:15:13 GMT) Full text and rfc822 format available.

Message #167 received at 607662@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Sven Joachim <svenjoac@gmx.de>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: status of backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 10:15:15 +0100 (CET)
Hi.

Background:

The plain FreeBSD kernel generates different sequences
for Backspace and Delete keys compared to Linux (and required by Policy).
Generated sequences can be altered by kbdcontrol (from freebsd-utils 
source package) and the default sequences are of course in kernel 
(kfreebsd-8 source package).

I together with Aurelien prepared patches for changing them into same 
sequences as on Linux, both uploaded.

Unfortunately, it have been shown, that it does not suffice.
The sequences are also stored at least in ncurses TERM definition:

Linux:          kbs=\177 kdch1=\E[3~
FreeBSD/cons25s kbs=^H   kdch1=\177

Therefore also at least ncurses and sysvinit packages have to be changed.
It is not possible to just alter cons25 entry as it would break conection 
to other systems, the new TERM name is needed. It would not be available 
on other systems.

Current reasonable options:

1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
   and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2

   It does not conform to debian policy, the backspace/delete key is
   somewhat small broken on console and somewhat small broken when
   connection to other systems from console

2) cons25-debian variant: needs patched sysvinit, ncurses 5.7+20100313-5,
   and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3

   It does conform to debian policy, the backspace/delete key works
   on console, it is needed to set TERM when connection to other systems
   from console and is somewhat big broken when connection is made to
   other systems directly from console.

3) mixture of both above
   current sysvinit, ncurses 5.7+20100313-5, kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1)
   patched freebsd-utils

   As a default use the plain cons25 variant. Additionaly provide
   cons25-debian entry in ncurses and special debian keymap in
   freebsd-utils. By default it will work as variant 1, but there is a
   possibility to set TERM to cons25-debian and set keymap which would
   generate the correct sequences for cons25-debian.

4) backport TEKEN_XTERM from FreeBSD 9.x
   needs patched sysvinit, patched kfreebsd-8, patched freebsd-utils

My personal order of preferences in deep freeze is 3, 1, 4, 2.
All are better compared to current status.
Long term solution is 4.

I asked Robert to upload kfreebsd-8 8.1+dfsg-7.1 to implement option 1.
Unfortunately freebsd-utils 8.1-3 migrated into testing, despite
http://lists.debian.org/debian-bsd/2010/12/msg00128.html

> If they are going to revert the changes in freebsd-utils as well (which
> is one of the proposed solutions), there is little point in unblocking
> ncurses at all.

No, the unblocking of ncurses allows us to implement option 3.

The problem exists only on local text console, the delete/backspace keys 
work correctly when logged on local X console or remotely.

The quickest solution is to disable 032_delete_key.diff in freebsd-utils
and unblock it and unblock kfreebsd-8 8.1+dfsg-7.1 aka option 1.

Eventually later on (if time permits before release or for point release),
prepare extended freebsd-utils and unblock it. It would require
ncurses 5.7+20100313-5. The ncurses can be safely migrated earlier.

I am sorry, but I didn't seen consequences of altering
generated sequences for delete/backspace keys earlier.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Wed, 05 Jan 2011 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 05 Jan 2011 19:51:05 GMT) Full text and rfc822 format available.

Message #172 received at 607662@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: Re: status of backspace key deletes forwards on the kFreeBSD console
Date: Wed, 05 Jan 2011 19:47:27 +0000
On Wed, 2011-01-05 at 10:15 +0100, Petr Salinger wrote:
> The plain FreeBSD kernel generates different sequences
> for Backspace and Delete keys compared to Linux (and required by Policy).
> Generated sequences can be altered by kbdcontrol (from freebsd-utils 
> source package) and the default sequences are of course in kernel 
> (kfreebsd-8 source package).
> 
> I together with Aurelien prepared patches for changing them into same 
> sequences as on Linux, both uploaded.
> 
> Unfortunately, it have been shown, that it does not suffice.

Thanks for the summary.

[...]
> 1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
>     and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2
[...]
> 2) cons25-debian variant: needs patched sysvinit, ncurses 5.7+20100313-5,
>     and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3
[...]
> 3) mixture of both above
>     current sysvinit, ncurses 5.7+20100313-5, kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1)
>     patched freebsd-utils
> 
>     As a default use the plain cons25 variant. Additionaly provide
>     cons25-debian entry in ncurses and special debian keymap in
>     freebsd-utils. By default it will work as variant 1, but there is a
>     possibility to set TERM to cons25-debian and set keymap which would
>     generate the correct sequences for cons25-debian.
> 
> 4) backport TEKEN_XTERM from FreeBSD 9.x
>     needs patched sysvinit, patched kfreebsd-8, patched freebsd-utils
> 
> My personal order of preferences in deep freeze is 3, 1, 4, 2.

Just to make sure I understand correctly, option 3 is roughly "doesn't
conform to Policy but can be made to without significant effort" and a
sysvinit update would be necessary in order to make the default Policy
compliant?  If so, how large is the change required to sysvinit?

> All are better compared to current status.
> Long term solution is 4.
> 
> I asked Robert to upload kfreebsd-8 8.1+dfsg-7.1 to implement option 1.
> Unfortunately freebsd-utils 8.1-3 migrated into testing, despite
> http://lists.debian.org/debian-bsd/2010/12/msg00128.html

Unfortunately it got re-unblocked by someone else and I didn't notice
until it was too late.

> > If they are going to revert the changes in freebsd-utils as well (which
> > is one of the proposed solutions), there is little point in unblocking
> > ncurses at all.
> 
> No, the unblocking of ncurses allows us to implement option 3.
> 
> The problem exists only on local text console, the delete/backspace keys 
> work correctly when logged on local X console or remotely.
> 
> The quickest solution is to disable 032_delete_key.diff in freebsd-utils
> and unblock it and unblock kfreebsd-8 8.1+dfsg-7.1 aka option 1.

freebsd-utils has also been re-uploaded (as 8.1-3.1) to revert the
change made there; am I correct that unblocking kfreebsd-8,
freebsd-utils and ncurses would give us option 1 on your list and that
basically puts us back where we were to start with?  If so, what other
changes would be required (and how large would be they be) to allow us
to implement option 3?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Wed, 05 Jan 2011 20:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Wed, 05 Jan 2011 20:57:05 GMT) Full text and rfc822 format available.

Message #177 received at 607662@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: Re: status of backspace key deletes forwards on the kFreeBSD console
Date: Wed, 5 Jan 2011 21:56:08 +0100 (CET)
>> 1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
>>     and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2
> [...]
>> 2) cons25-debian variant: needs patched sysvinit, ncurses 5.7+20100313-5,
>>     and kfreebsd-8 8.1+dfsg-7, freebsd-utils 8.1-3
> [...]
>> 3) mixture of both above
>>     current sysvinit, ncurses 5.7+20100313-5, kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1)
>>     patched freebsd-utils
>>
>>     As a default use the plain cons25 variant. Additionaly provide
>>     cons25-debian entry in ncurses and special debian keymap in
>>     freebsd-utils. By default it will work as variant 1, but there is a
>>     possibility to set TERM to cons25-debian and set keymap which would
>>     generate the correct sequences for cons25-debian.
>>
>> 4) backport TEKEN_XTERM from FreeBSD 9.x
>>     needs patched sysvinit, patched kfreebsd-8, patched freebsd-utils
>>
>> My personal order of preferences in deep freeze is 3, 1, 4, 2.
>
> Just to make sure I understand correctly, option 3 is roughly "doesn't
> conform to Policy but can be made to without significant effort"

Yes.

> and a
> sysvinit update would be necessary in order to make the default Policy
> compliant?  If so, how large is the change required to sysvinit?

See in Message #70 received at 607662@bugs.debian.org:

http://bugs.debian.org//cgi-bin/bugreport.cgi?msg=70;filename=sysvinit-cons25-debian.patch;att=2;bug=607662

But the problem is that there might be another problem in another 
package - similarly as have been shown that fixing kfreebsd-8 and 
freebsd-utils  does not suffice :-(
I guess we do not have enough time before real release 
for proper testing. IMHO it would be much better to release in state as 
have been used in last months (years) compared to unknown state.

> freebsd-utils has also been re-uploaded (as 8.1-3.1) to revert the
> change made there; am I correct that unblocking kfreebsd-8,
> freebsd-utils and ncurses would give us option 1 on your list and that
> basically puts us back where we were to start with?

For option 1 please unblock freebsd-utils 8.1-3.1 and kfreebsd-8 8.1+dfsg-7.1

The ncurses 5.7+20100313-5 is not needed for option 1,
but it wouldn't hurt.

> If so, what other
> changes would be required (and how large would be they be) to allow us
> to implement option 3?

In 1st step unblock (and migrate) kfreebsd-8 and freebsd-utils as above
in 2nd step unblock ncurses 5.7+20100313-5 and 
in 3rd step prepare and test another update for freebsd-utils.

The change for freebsd-utils will be some new script like

   kbdcontrol -d | sed ... | kbdcontrol -l
   kbdcontrol -f 61 ESC[3~
   TERM=cons25-debian

Or something like that.
The first command should alter sequence for scan code
*0e* to 0x7F and for scan code *53* to F(61).
The second command should alter sequence generated for F(61).
See also 
http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-8/debian/patches/918_delete_key.diff?rev=3199&sc=1

Hereby I am asking for

unblock for
freebsd-utils 8.1-3.1
kfreebsd-8 8.1+dfsg-7.1
ncurses 5.7+20100313-5

And squeeze-ignore tag for 
605065, 605777. The 607662 already have it.

Cheers and many thanks

		Petr





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Sat, 08 Jan 2011 19:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sat, 08 Jan 2011 19:39:07 GMT) Full text and rfc822 format available.

Message #182 received at 607662@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, 605777@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>, Robert Millan <rmh@debian.org>, debian-release@lists.debian.org
Subject: Re: status of backspace key deletes forwards on the kFreeBSD console
Date: Sat, 08 Jan 2011 19:36:10 +0000
user release.debian.org@packages.debian.org
found 605605 8.1+dfsg-7.1
tag 605605 + squeeze-ignore
usertag 605605 + squeeze-can-defer
found 605777 8.1+dfsg-7.1
tag 605777 + squeeze-ignore
usertag 605777 + squeeze-can-defer
thanks

On Wed, 2011-01-05 at 21:56 +0100, Petr Salinger wrote:
> >> 1) plain cons25 variant: current sysvinit, ncurses 5.7+20100313-4 or 5.7+20100313-5
> >>     and kfreebsd-8 8.1+dfsg-6 (or 8.1+dfsg-7.1), freebsd-utils 8.1-2
[...]
> > freebsd-utils has also been re-uploaded (as 8.1-3.1) to revert the
> > change made there; am I correct that unblocking kfreebsd-8,
> > freebsd-utils and ncurses would give us option 1 on your list and that
> > basically puts us back where we were to start with?
[...]
> Hereby I am asking for
> 
> unblock for
> freebsd-utils 8.1-3.1
> kfreebsd-8 8.1+dfsg-7.1
> ncurses 5.7+20100313-5

Done.

> And squeeze-ignore tag for 
> 605065, 605777. The 607662 already have it.

Done, along with marking both bugs as present in kfreebsd-8 8.1
+dfsg-7.1.

If it's possible to get this fixed for a point release, that would be
great.  If not, at least people now have a work-around until we can fix
this properly in wheezy; thanks for all of your work on this.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Mon, 10 Jan 2011 11:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 10 Jan 2011 11:27:06 GMT) Full text and rfc822 format available.

Message #187 received at 607662@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 605777@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Mon, 10 Jan 2011 12:27:51 +0100 (CET)
[Message part 1 (text/plain, inline)]
> The change for freebsd-utils will be some new script like
>
>   kbdcontrol -d | sed ... | kbdcontrol -l
>   kbdcontrol -f 61 ESC[3~
>   TERM=cons25-debian

Attached is the mentioned script. It have to be run directly on console
or by "sh keymap-policy.sh < /dev/console"
The keymap is altered system wide, i.e. on all virtual consoles.
And you have to manually set "TERM=cons25-debian" aftewards.

The (current) reset back is
  /etc/init.d/kbdcontrol start
  kbdcontrol -F
  TERM=cons25

Please could you test whether it work with your
native national keymap as expected ?

The expected installed (and running) packages versions are:
 freebsd-utils 8.1-3.1
 kfreebsd-8 8.1+dfsg-7.1
 ncurses 5.7+20100313-5

RFC part:
The integration should be into /etc/init.d/kbdcontrol,
by adding two targets, like keymap-native and keymap-debian.

May be it can be run even semi-automatically, by
detecting whether the /etc/inittab uses cons25 or cons25-debian
and noop or alter keymap.

Many thanks

	Petr
[keymap-policy.sh (application/x-sh, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Mon, 10 Jan 2011 15:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 10 Jan 2011 15:51:07 GMT) Full text and rfc822 format available.

Message #192 received at 607662@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 607662@bugs.debian.org, 605777@bugs.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Modestas Vainius <modax@debian.org>, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Mon, 10 Jan 2011 16:47:25 +0100
On 2011-01-10 12:27 +0100, Petr Salinger wrote:

>> The change for freebsd-utils will be some new script like
>>
>>   kbdcontrol -d | sed ... | kbdcontrol -l
>>   kbdcontrol -f 61 ESC[3~
>>   TERM=cons25-debian
>
> Attached is the mentioned script. It have to be run directly on console
> or by "sh keymap-policy.sh < /dev/console"
> The keymap is altered system wide, i.e. on all virtual consoles.
> And you have to manually set "TERM=cons25-debian" aftewards.
>
> The (current) reset back is
>   /etc/init.d/kbdcontrol start
>   kbdcontrol -F
>   TERM=cons25
>
> Please could you test whether it work with your
> native national keymap as expected ?

Works fine with german.iso.kbd in /etc/kbdcontrol.conf, thanks.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Mon, 10 Jan 2011 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 10 Jan 2011 17:54:04 GMT) Full text and rfc822 format available.

Message #197 received at 607662@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 605777@bugs.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Mon, 10 Jan 2011 19:50:57 +0200
[Message part 1 (text/plain, inline)]
Hello,

On pirmadienis 10 Sausis 2011 13:27:51 Petr Salinger wrote:
> > The change for freebsd-utils will be some new script like
> > 
> >   kbdcontrol -d | sed ... | kbdcontrol -l
> >   kbdcontrol -f 61 ESC[3~
> >   TERM=cons25-debian
> 
> Attached is the mentioned script. It have to be run directly on console
> or by "sh keymap-policy.sh < /dev/console"
> The keymap is altered system wide, i.e. on all virtual consoles.
> And you have to manually set "TERM=cons25-debian" aftewards.
> 
> The (current) reset back is
>    /etc/init.d/kbdcontrol start
>    kbdcontrol -F
>    TERM=cons25
> 
> Please could you test whether it work with your
> native national keymap as expected ?

It works fine. Both shell and vim behave as I expect now.

> The expected installed (and running) packages versions are:
>   freebsd-utils 8.1-3.1
>   kfreebsd-8 8.1+dfsg-7.1
>   ncurses 5.7+20100313-5
> 
> RFC part:
> The integration should be into /etc/init.d/kbdcontrol,
> by adding two targets, like keymap-native and keymap-debian.
> 
> May be it can be run even semi-automatically, by
> detecting whether the /etc/inittab uses cons25 or cons25-debian
> and noop or alter keymap.

Yes, I like the latter (auto detection) part. Another solution could be a 
debconf question in kbdcontrol (though it might be too late for this).

What's more, I think this issue (with short instructions whatever the final 
integration part ends up being) warrants a note in release notes.

-- 
Modestas Vainius <modax@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 18 Jan 2011 08:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 18 Jan 2011 08:15:04 GMT) Full text and rfc822 format available.

Message #202 received at 607662@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Modestas Vainius <modax@debian.org>, aurel32@debian.org, 605777@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, Sven Joachim <svenjoac@gmx.de>, 607662@bugs.debian.org, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: Bug#605777: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Tue, 18 Jan 2011 09:17:31 +0100 (CET)
[Message part 1 (text/plain, inline)]
>> The integration should be into /etc/init.d/kbdcontrol,
>> by adding two targets, like keymap-native and keymap-debian.
>>
>> May be it can be run even semi-automatically, by
>> detecting whether the /etc/inittab uses cons25 or cons25-debian
>> and noop or alter keymap.
>
> Yes, I like the latter (auto detection) part. Another solution could be a
> debconf question in kbdcontrol (though it might be too late for this).

Attached is the proposed new /etc/init.d/kbdcontrol.
The current default is
FLAVOUR=auto

Should be the default "auto" or "native" ?

Is there still a time to do freebsd-utils upload ?
The only change against current one would be the new 
/etc/init.d/kbdcontrol script.

Cheers
	Petr
[kbdcontrol.init (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#607662; Package ncurses-base. (Tue, 18 Jan 2011 09:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Tue, 18 Jan 2011 09:09:05 GMT) Full text and rfc822 format available.

Message #207 received at 607662@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 605777@bugs.debian.org, Modestas Vainius <modax@debian.org>, aurel32@debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 607662@bugs.debian.org, 605065-quiet@bugs.debian.org, "brian m. carlson" <sandals@crustytoothpaste.net>
Subject: Re: workaround for backspace key deletes forwards on the kFreeBSD console
Date: Tue, 18 Jan 2011 10:05:00 +0100
On 2011-01-18 09:17 +0100, Petr Salinger wrote:

>>> The integration should be into /etc/init.d/kbdcontrol,
>>> by adding two targets, like keymap-native and keymap-debian.
>>>
>>> May be it can be run even semi-automatically, by
>>> detecting whether the /etc/inittab uses cons25 or cons25-debian
>>> and noop or alter keymap.
>>
>> Yes, I like the latter (auto detection) part. Another solution could be a
>> debconf question in kbdcontrol (though it might be too late for this).
>
> Attached is the proposed new /etc/init.d/kbdcontrol.
> The current default is
> FLAVOUR=auto
>
> Should be the default "auto" or "native" ?
>
> Is there still a time to do freebsd-utils upload ?
> The only change against current one would be the new
> /etc/init.d/kbdcontrol script.
>
> Cheers
> 	Petr
>
> #! /bin/sh
> ### BEGIN INIT INFO
> # Provides:             kbdcontrol
> # Required-Start:       $local_fs $remote_fs
> # Required-Stop:
> # Default-Start:        S
> # Default-Stop:
> # Short-Description:    Set keymap
> # Description:          Set the Console keymap
> ### END INIT INFO
> #
> # skeleton	example file to build /etc/init.d/ scripts.
> #		This file should be used to construct scripts for /etc/init.d.
> #
> #		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
> #		Modified for Debian 
> #		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
> #
> # Version:	@(#)skeleton  1.9  26-Feb-2001  miquels@cistron.nl
> #
>
> set -e
>
> PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
> which kbdcontrol >/dev/null

Please add " || exit 0" to not fail if kbdcontrol is removed but not
purged.

> # in general, keymap layout can be
> # native:  the plain FreeBSD/cons25 layout
> # debian:  the Debian Policy 9.8 (Keyboard configuration) conforming, aka cons25-debian
> # auto:    scan /etc/inittab and guess the right one
> FLAVOUR=auto
>
> # for auto do the guess
> if [ $FLAVOUR = auto ]
> then
>   if grep -q -e "respawn:/sbin/getty.*cons25-debian" /etc/inittab

This will match lines that are commented out.

Cheers,
       Sven




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Feb 2011 07:38:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:40:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.